package io.scanbot.sdk.flutter.camera.config

import android.graphics.Color
import io.scanbot.sdk.ui.camera.FinderAspectRatio

class FinderConfig {
    // The finder view rectangular overlay border width
    var finderLineWidth: Float? = null

    // How many pixel units the finder view should be moved vertically
    // Positive values -> (UP); Negative values -> (DOWN)
    var finderVerticalOffset: Float? = null

    // The finder view minimum padding from the bounds of the screen
    var finderMinimumPadding: Float? = null

    // The finder view rectangular overlay border color
    var finderLineColor: String? = null

    // The overlay background color, around the finder view rectangle
    var finderBackgroundColor: String? = null

    // The overlay background color opacity, around the finder view rectangle

    // The finder view rectangle aspect ratio
    var finderAspectRatio: FinderAspectRatio? = null
}

