package io.scanbot.sdk.flutter.camera.detectorWrappers

import com.google.gson.JsonObject
import io.flutter.plugin.common.MethodCall
import io.scanbot.sdk.ScanbotSDK
import io.scanbot.sdk.camera.FrameHandler
import io.scanbot.sdk.flutter.Json
import java.text.SimpleDateFormat
import java.util.*

interface IDetectorWrapper {
    val scanbotSDK: ScanbotSDK
    fun attach(arguments: Json)

    fun detach()

    fun toggleContinuousFocus()

    fun isFlashAvailable():Boolean

    fun flashEnabled(enabled: Boolean)

}
