//
//  SBSDKOCRPage.swift
//  path_provider
//
//  Created by Yevgeniy Knizhnik on 12.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKOCRPage {
    var encodedDictionary: [String: Any?] {
        let dictionary: [String: Any?] = ["text": self.text,
                                          "words": self.words.map({ $0.encodedDictionary }),
                                          "lines": self.lines.map({ $0.encodedDictionary }),
                                          "paragraphs": self.paragraphs.map({ $0.encodedDictionary })]

        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
}
