//
//  SBSDKUICroppingScreenConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUICroppingScreenConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUICroppingScreenUIConfiguration(from: dictionary)
        let textConf = SBSDKUICroppingScreenTextConfiguration(from: dictionary)
        let behaviorConf = SBSDKUICroppingScreenBehaviorConfiguration(from: dictionary)

        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviorConf)
    }
}
