//
//  SBSDKHealthInsuranceCardDetectionStatus.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKHealthInsuranceCardDetectionStatus {
    var stringName: String? {
        switch self {
        case .success: return "SUCCESS"
        case .failedDetection: return "FAILED_DETECTION"
        case .incompleteValidation: return "INCOMPLETE_VALIDATION"
        default: return nil
        }
    }
}
