//
//  SBSDKHealthInsuranceCardRecognitionResult.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKHealthInsuranceCardRecognitionResult {
    var encodedString: String? {
        
        var fields: [[String: Any?]] = []
        for field in self.fields {
            fields.append(field.encodedDictionary)
        }
        
        let dictionary: [String: Any?] = ["fields": fields,
                                          "status": self.status.stringName]
        return dictionary.encodedString
    }
}
