//
//  SBSDKUIHealthInsuranceCardScannerTextConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIHealthInsuranceCardScannerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["flashButtonTitle"] as? String {
            self.flashButtonTitle = text
        }
        
        if let text = dictionary["finderTextHint"] as? String {
            self.finderTextHint = text
        }
        
        if let text = dictionary["detectionStatusSuccessText"] as? String {
            self.detectionStatusSuccessText = text
        }
        
        if let text = dictionary["detectionStatusFailedDetectionText"] as? String {
            self.detectionStatusFailedDetectionText = text
        }
        
        if let text = dictionary["detectionStatusFailedValidationText"] as? String {
            self.detectionStatusFailedValidationText = text
        }
    }
}
