//
//  SBSDKMedicalPlanStandardSubheadingFieldType.swift
//  scanbot_sdk
//
//  Created by Danil Voitenko on 11.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalPlanStandardSubheadingFieldType {
    var stringName: String? {
        switch self {
        case .keyWords: return "KeyWords"
        case .subheadingFreeText: return "SubheadingFreeText"
        default: preconditionFailure("Unknown SBSDKMedicalPlanStandardSubheadingFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "KeyWords": self = .keyWords
        case "SubheadingFreeText": self = .subheadingFreeText
        default: preconditionFailure("Unknown SBSDKMedicalPlanStandardSubheadingFieldType")
        }
    }
}
