//
//  SBSDKBarcodeImageGenerationType.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 07.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKBarcodeImageGenerationType {
    init(from string: String) {
        switch string {
        // PORTRAIT?????
        case "PORTRAIT": self = .none
        case "CAPTURED_IMAGE": self = .capturedImage
        case "VIDEO_FRAME": self = .fromVideoFrame
        default: self = .none
        }
    }
}
