//
//  SBSDKBarcodeMSIPlesseyChecksumAlgorithm.swift
//  scanbot_sdk
//
//  Created by Serhii Chaban on 17.05.22.
//

import Foundation
import ScanbotSDK

extension SBSDKBarcodeMSIPlesseyChecksumAlgorithm {
    init(from string: String) {
        switch string {
        case "Mod10": self = .mod10
        case "Mod11IBM": self = .mod11IBM
        case "Mod11NCR": self = .mod11NCR
        case "Mod1010": self = .mod1010
        case "Mod1110IBM": self = .mod1110IBM
        case "Mod1110NCR": self = .mod1110NCR
        case "NONE": self = .none
        default: self = .none
        }
    }
}
