//
//  SBSDKTIFFImageWriterCompressionOptions.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 13.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKTIFFImageWriterCompressionOptions {
    init?(string: String) {
        switch string {
        case "NONE": self = .COMPRESSION_NONE
        case "CCITTRLE": self = .COMPRESSION_CCITTRLE
        case "CCITTFAX3": self = .COMPRESSION_CCITTFAX3
        case "CCITT_T4": self = .COMPRESSION_CCITT_T4
        case "CCITTFAX4": self = .COMPRESSION_CCITTFAX4
        case "CCITT_T6": self = .COMPRESSION_CCITT_T6
        case "LZW": self = .COMPRESSION_LZW
        case "CCITTRLEW": self = .COMPRESSION_CCITTRLEW
        case "PACKBITS": self = .COMPRESSION_PACKBITS
        case "DEFLATE": self = .COMPRESSION_DEFLATE
        case "ADOBE_DEFLATE": self = .COMPRESSION_ADOBE_DEFLATE
        default: return nil
        }
    }
}

