//
//  SBSDKWritingDirection.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKWritingDirection {
    var stringName: String? {
        switch self {
        case .leftToRight: return "LEFT_TO_RIGHT"
        case .rightToLeft: return "RIGHT_TO_LEFT"
        case .topToBottom: return "TOP_TO_BOTTOM"
        default: return nil
        }
    }
}
