//
//  BoardingPass.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKBoardingPassLegField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKBoardingPassLeg {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary})]
    }
}

extension SBSDKBoardingPassDocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["numberOfLegs": self.numberOfLegs,
                "name": self.name,
                "electronicTicket": self.electronicTicket,
                "securityData": self.securityData,
                "legs": self.legs.map({$0.encodedDictionary}),
                "documentFormat": "BoardingPass"]
    }
}
