//
//  SBSDKMachineReadableZoneRecognizerResult.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKMachineReadableZoneRecognizerResult {
    var encodedString: String? {
        
        var fields: [[String: Any?]] = []
        for field in self.fields {
            fields.append(field.encodedDictionary)
        }
        
        let dictionary: [String: Any] = ["fields": fields,
                                         "validCheckDigitsCount": self.validCheckDigitsCount,
                                         "checkDigitsCount": self.checkDigitsCount]
        return dictionary.encodedString
    }
}
