//
//  SBSDKUIDocument.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIDocument {
    var encodedString: String? {
        let pagesCount = self.numberOfPages()
        var pages: [[String: Any?]] = []
        for index in 0..<pagesCount {
            if let page = self.page(at: index)?.encodedDictionary {
                pages.append(page)
            }
        }
        
        let dictionary = ["pages": pages]
        return dictionary.encodedString
    }
}

