//
//  SBSDKUIDocumentScannerConfiguration.swift
//  Runner
//
//  Created by Zhenya Knizhnik on 22.08.19.
//  Copyright © 2019 The Chromium Authors. All rights reserved.
//

import Foundation
import ScanbotSDK

extension SBSDKUIDocumentScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIDocumentScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIDocumentScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIDocumentScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}
