//
//  Size.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation

extension CGSize {
    var encodedDictionary: [String: Any] {
        return ["height": self.height, "width": self.width]
    }
    
    init(from dictionary: [String: Any]) {
        self = .zero
        if let width = dictionary["width"] as? CGFloat {
            self.width = width
        }
        if let height = dictionary["height"] as? CGFloat {
            self.height = height
        }
    }
}
