import 'package:json_annotation/json_annotation.dart';

part 'render_pdf_data.g.dart';

enum PdfRenderSize {
  FROM_IMAGE,
  A4,
  FIXED_A4,
  US_LETTER,
  FIXED_US_LETTER,
  AUTO_LOCALE,
  AUTO
}

@JsonSerializable(includeIfNull: false, explicitToJson: true)
class PdfRenderingOptions {
  PdfRenderSize renderPageSize;

  PdfRenderingOptions(this.renderPageSize);

  factory PdfRenderingOptions.fromJson(Map<String, dynamic> json) =>
      _$PdfRenderingOptionsFromJson(json);

  Map<String, dynamic> toJson() => _$PdfRenderingOptionsToJson(this);
}
