# Scanbot Document and Barcode Scanner SDK for Flutter Plugin

## Add enterprise-grade document and barcode scanning as well as data capture functionalities to your app in no time
The Scanbot [Document](https://scanbot.io/products/document-scanning/document-scanner-sdk/) and 
[Barcode Scanner SDK](https://scanbot.io/products/barcode-software/barcode-sdk/) for Flutter plugin enables you to 
easily implement scanning, document creation, and data extraction functionalities for your apps on iOS and Android.

Access the available cameras on the mobile device, choose the interface, configure the settings, and let your users 
easily scan any document, barcode, or other data in your application.

Benefit from advanced machine-learning based features like automatic scanning, perspective correction, user guidance, 
automated cropping, multiple export formats like PDF, TIFF, JPEG; blur detection, custom filters, encryption, 
and much more...

Check out the [demo](https://scanbot.io/trial/demo-app/).


## Documentation & Example App
To integrate this plugin into your application please follow the steps in our 
[documentation](https://docs.scanbot.io/document-scanner-sdk/flutter/introduction/) and check out our 
[example app](https://github.com/doo/scanbot-sdk-example-flutter).


## Changelog
For a detailed list of the changes included in each version, please see the 
[changelog](https://docs.scanbot.io/document-scanner-sdk/flutter/changelog/).


## License and Support
Scanbot SDK is a commercial product and comes with full technical support if you have any questions or need help
integrating: [sdk@scanbot.io](mailto:sdk@scanbot.io). It will run without a license for one minute per session.
Get a [free trial license](https://scanbot.io/trial/) to evaluate and integrate it into your project.
