//
//  SBSDKOCRResultBlock.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKOCRResultBlock {
    var encodedDictionary: [String: Any?] {
        let dictionary: [String: Any?] = ["text": self.text,
                                          "boundingBox": self.boundingBox.encodedDictionary,
                                          "confidenceValue": self.confidenceValue]

        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
}
