//
//  SBSDKPageAnalyzerResult.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKPageAnalyzerResult {
    var encodedDictionary: [String: Any?] {
        let dictionary: [String: Any?] = ["orientation": self.orientation.stringName,
                                          "writingDirection": self.writingDirection.stringName,
                                          "textlineOrder": self.textlineOrder.stringName,
                                          "deskewAngle": self.deskewAngle]

        return dictionary
    }
    
    var encodedString: String? {
        return self.encodedDictionary.encodedString
    }
}
