//
//  Point.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 22.08.19.
//

import Foundation

extension CGPoint {
    var encodedDictionary: [String: Any] {
        return ["x": self.x, "y": self.y]
    }
    
    init?(from dictionary: [String: Any]) {
        guard let x = dictionary["x"] as? CGFloat, let y = dictionary["y"] as? CGFloat else {
            return nil
        }
        self.init(x: x, y: y)
    }
}
