//
//  SBSDKUIBarcodeMappedData.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 25.01.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodeMappedData {
    convenience init?(from dictionary: [String: Any?]) {
        guard let name = dictionary["title"] as? String,
              let description = dictionary["subtitle"] as? String else {
            return nil
        }
        self.init(name: name, description: description)
    }
}
