//
//  SBSDKUIBarcodesBatchScannerConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodesBatchScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIBarcodesBatchScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIBarcodesBatchScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIBarcodesBatchScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}
