//
//  SBSDKUIBarcodesBatchScannerTextConfiguration.swift
//  barcode_scanner
//
//  Created by Yevgeniy Knizhnik on 20.01.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodesBatchScannerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["clearButtonTitle"] as? String {
            self.clearButtonTitle = text
        }
        
        if let text = dictionary["finderTextHint"] as? String {
            self.finderTextHint = text
        }
        
        if let text = dictionary["deleteButtonTitle"] as? String {
            self.deleteButtonTitle = text
        }
        
        if let text = dictionary["submitButtonTitle"] as? String {
            self.submitButtonTitle = text
        }
        
        if let text = dictionary["barcodesCountText"] as? String {
            self.barcodesCountText = text
        }
        
        if let text = dictionary["fetchingStateText"] as? String {
            self.fetchingStateText = text
        }
        
        if let text = dictionary["noBarcodesTitle"] as? String {
            self.noBarcodesTitle = text
        }
        
        if let text = dictionary["enableCameraExplanationText"] as? String {
            self.enableCameraExplanationText = text
        }
        
        if let text = dictionary["enableCameraButtonTitle"] as? String {
            self.enableCameraButtonTitle = text
        }
    }
}
