//
//  SBSDKHealthInsuranceCardFieldType.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKHealthInsuranceCardFieldType {
    var stringName: String? {
        switch self {
        case .givenName: return "GIVEN_NAME"
        case .surname: return "SURNAME"
        case .dateOfBirth: return "DATE_OF_BIRTH"
        case .personalIdentificationNumber: return "PERSONAL_IDENTIFICATION_NUMBER"
        case .institutionNumber: return "INSTITUTION_NUMBER"
        case .institutionName: return "INSTITUTION_NAME"
        case .cardNumber: return "CARD_NUMBER"
        case .cardExpirationDate: return "CARD_EXPIRATION_DATE"
        case .cardCountry: return "COUNTRY"
        default: return nil
        }
    }
}
