//
//  SBSDKUIHealthInsuranceCardScannerConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 28.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIHealthInsuranceCardScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIHealthInsuranceCardScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIHealthInsuranceCardScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIHealthInsuranceCardScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}
