//
//  SBSDKMedicalPlanSubheadingReceipeFieldType.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalPlanSubheadingPrescriptionFieldType {
    var stringName: String? {
        switch self {
        case .generalInformation: return "GeneralInformation"
        case .prescriptionFreeText: return "PrescriptionFreeText"
        default: preconditionFailure("Unknown SBSDKMedicalPlanSubheadingPrescriptionFieldType")
        }
    }
    
    init(string: String) {
        switch string {
        case "GeneralInformation": self = .generalInformation
        case "PrescriptionFreeText": self = .prescriptionFreeText
        default: preconditionFailure("Unknown SBSDKMedicalPlanSubheadingReceipeFieldType")
        }
    }
}
