//
//  SBSDKPageOrientation.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.11.19.
//

import Foundation
import ScanbotSDK

extension SBSDKPageOrientation {
    var stringName: String? {
        switch self {
        case .up: return "UP"
        case .down: return "DOWN"
        case .right: return "RIGHT"
        case .left: return "LEFT"
        default: return nil
        }
    }
}
