//
//  UIInterfaceOrientationMask.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation

extension UIInterfaceOrientationMask {
    init(from string: String) {
        switch string {
        case "PORTRAIT": self = .portrait
        case "LANDSCAPE": self = .landscapeLeft
        case "PORTRAIT_UPSIDE_DOWN": self = .portraitUpsideDown
        case "LANDSCAPE_LEFT": self = .landscapeLeft
        case "LANDSCAPE_RIGHT": self = .landscapeRight
        case "NONE": self = .all
        default: self = .all
        }
    }
}
