//
//  SBSDKUIGenericDocumentRecognizerTextConfiguration.swift
//  scanbot_sdk
//
//  Created by Sarbjyot Chahal on 12.01.22.
//

import Foundation
import ScanbotSDK

extension SBSDKUIGenericDocumentRecognizerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["clearButtonTitle"] as? String {
            self.clearButtonTitle = text
        }
        
        if let text = dictionary["viewResultsButtonTitle"] as? String {
            self.viewResultsButtonTitle = text
        }
        
        if let text = dictionary["fieldsCountText"] as? String {
            self.fieldsCountText = text
        }
        
        if let text = dictionary["confidenceValue"] as? String {
            self.confidenceValue = text
        }
        
        if let text = dictionary["scanBackSideTitle"] as? String {
            self.scanBackSideTitle = text
        }
        
        if let text = dictionary["scanFrontSideTitle"] as? String {
            self.scanFrontSideTitle = text
        }
        
        if let text = dictionary["startScanningTitle"] as? String {
            self.startScanningTitle = text
        }
        
        if let text = dictionary["noDataTitle"] as? String {
            self.noDataTitle = text
        }
        
        if let text = dictionary["scannedEverythingTitle"] as? String {
            self.scannedEverythingTitle = text
        }
        
        if let text = dictionary["emptyValueTitle"] as? String {
            self.emptyValueTitle = text
        }
        
        if let text = dictionary["enableCameraExplanationText"] as? String {
            self.enableCameraExplanationText = text
        }
        
        if let text = dictionary["enableCameraButtonTitle"] as? String {
            self.enableCameraButtonTitle = text
        }
    }
}

