//
//  SBSDKUILicensePlateScannerBehaviorConfiguration.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 16.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUILicensePlateScannerBehaviorConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let flashEnabled = dictionary["flashEnabled"] as? Bool {
            self.isFlashEnabled = flashEnabled
        }
        
        if let maximumNumberOfAccumulatedFrames = dictionary["maximumNumberOfAccumulatedFrames"] as? UInt {
            self.maximumNumberOfAccumulatedFrames = maximumNumberOfAccumulatedFrames
        }
        
        if let value = dictionary["minNumberOfRequiredFramesWithEqualRecognitionResult"] as? UInt {
            self.minNumberOfRequiredFramesWithEqualRecognitionResult = value
        }
    }
}
