//
//  SBSDKUILicensePlateScannerConfiguration.swift
//  image_picker
//
//  Created by Yevgeniy Knizhnik on 16.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUILicensePlateScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUILicensePlateScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUILicensePlateScannerTextConfiguration(from: dictionary)
        let behaviorConf = SBSDKUILicensePlateScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviorConf)
    }
}
