//
//  SBSDKUILicensePlateScannerTextConfiguration.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 16.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUILicensePlateScannerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["finderTextHint"] as? String {
            self.finderTextHint = text
        }
        
        if let text = dictionary["enableCameraExplanationText"] as? String {
            self.enableCameraExplanationText = text
        }
        
        if let text = dictionary["enableCameraButtonTitle"] as? String {
            self.enableCameraButtonTitle = text
        }
        
        if let text = dictionary["confirmationDialogTitle"] as? String {
            self.confirmationDialogTitle = text
        }
        
        if let text = dictionary["confirmationDialogMessage"] as? String {
            self.confirmationDialogMessage = text
        }
        
        if let text = dictionary["confirmationDialogRetryButtonTitle"] as? String {
            self.confirmationDialogRetryButtonTitle = text
        }
        
        if let text = dictionary["confirmationDialogConfirmButtonTitle"] as? String {
            self.confirmationDialogConfirmButtonTitle = text
        }
    }
}
