//
//  IdPDF417.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKIDCardPDF417DocumentField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKIDCardPDF417DocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary}),
                "documentFormat": "IDCardPDF417"]
    }
}
