//
//  DisabilityCertificate.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK

extension SBSDKMedicalCertificateDocumentField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "value": self.value,]
    }
}

extension SBSDKMedicalCertificateDocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary}),
                "documentFormat": "MedicalCertificate"]
    }
}
