//
//  VCard.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 12.05.20.
//

import Foundation
import ScanbotSDK


extension SBSDKVCardDocumentField {
    var encodedDictionary: [String: Any?] {
        return ["type": self.type.stringName,
                "typeModifiers": self.typeModifiers,
                "rawText": self.rawText,
                "values": self.values]
    }
}

extension SBSDKVCardDocumentFormat {
    var encodedDictionary: [String: Any?] {
        return ["fields": self.fields.map({$0.encodedDictionary}),
                "documentFormat": "VCard"]
    }
}
