//
//  SBSDKMachineReadableZoneRecognizerFieldName.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKMachineReadableZoneRecognizerFieldName {
    var stringName: String? {
        switch self {
        case .unknown: return "Unknown"
        case .documentCode: return "DocumentCode"
        case .issuingStateOrOrganization: return "IssuingStateOrOrganization"
        case .departmentOfIssuance: return "DepartmentOfIssuance"
        case .firstName: return "FirstName"
        case .lastName: return "LastName"
        case .nationality: return "Nationality"
        case .dateOfBirth: return "DateOfBirth"
        case .gender: return "Gender"
        case .dateOfExpiry: return "DateOfExpiry"
        case .personalNumber: return "PersonalNumber"
        case .travelDocumentType: return "TravelDocType"
        case .optional1: return "Optional1"
        case .optional2: return "Optional2"
        case .discreetIssuingStateOrOrganization: return "DiscreetIssuingStateOrOrganization"
        default: return nil
        }
    }
}
