//
//  SBSDKUIBarcodeScannerConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodeScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIBarcodeScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIBarcodeScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIBarcodeScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}

extension SBSDKUIMRZScannerConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUIMRZScannerUIConfiguration(from: dictionary)
        let textConf = SBSDKUIMRZScannerTextConfiguration(from: dictionary)
        let behaviourConf = SBSDKUIMRZScannerBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviourConf)
    }
}

