//
//  SBSDKUIMachineCodeScannerTextConfiguration.swift
//  scanbot_sdk
//
//  Created by Zhenya Knizhnik on 26.08.19.
//

import Foundation
import ScanbotSDK

extension SBSDKUIBarcodeScannerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["flashButtonTitle"] as? String {
            self.flashButtonTitle = text
        }
        
        if let text = dictionary["finderTextHint"] as? String {
            self.finderTextHint = text
        }
    }
}

extension SBSDKUIMRZScannerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["flashButtonTitle"] as? String {
            self.flashButtonTitle = text
        }
        
        if let text = dictionary["finderTextHint"] as? String {
            self.finderTextHint = text
        }
    }
}
