//
//  SBSDKNFCDatagroupDG2.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKNFCDatagroupDG2 {
    var encodedDictionary: [String: Any?] {
        let dictionary: [String: Any?] = ["numberOfImages": self.numberOfImages,
                                         "version": self.version,
                                         "lengthOfRecord": self.lengthOfRecord,
                                         "numberOfFacialImages": self.numberOfFacialImages,
                                         "lengthOfFacialRecord": self.lengthOfFacialRecord,
                                         "numberOfFeaturePoints": self.numberOfFeaturePoints,
                                         "gender": self.gender,
                                         "eyeColor": self.eyeColor,
                                         "hairColor": self.hairColor,
                                         "featureMask": self.featureMask,
                                         "expression": self.expression,
                                         "poseAngle": self.poseAngle,
                                         "poseAngleUncertainty": self.poseAngleUncertainty,
                                         "faceImageType": self.faceImageType,
                                         "imageDataType": self.imageDataType,
                                         "imageWidth": self.imageWidth,
                                         "imageHeight": self.imageHeight,
                                         "imageColorSpace": self.imageColorSpace,
                                         "sourceType": self.sourceType,
                                         "quality": self.quality,
                                         "deviceType": self.deviceType]
        return dictionary
    }
}
