//
//  SBSDKUINFCPassportReaderBehaviorConfiguration.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUINFCPassportReaderBehaviorConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let flashEnabled = dictionary["flashEnabled"] as? Bool {
            self.isFlashEnabled = flashEnabled
        }
        
        if let successBeepEnabled = dictionary["successBeepEnabled"] as? Bool {
            self.isSuccessBeepEnabled = successBeepEnabled
        }
        
        if let shouldSavePhotoImageInStorage = dictionary["shouldSavePhotoImageInStorage"] as? Bool {
            self.shouldSavePhotoImageInStorage = shouldSavePhotoImageInStorage
        }
    }
}
