//
//  SBSDKUINFCPassportReaderConfiguration.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUINFCPassportReaderConfiguration {
    convenience init(from dictionary: [String: Any]) {
        let uiConf = SBSDKUINFCPassportReaderUIConfiguration(from: dictionary)
        let textConf = SBSDKUINFCPassportReaderTextConfiguration(from: dictionary)
        let behaviorConf = SBSDKUINFCPassportReaderBehaviorConfiguration(from: dictionary)
        self.init(uiConfiguration: uiConf, textConfiguration: textConf, behaviorConfiguration: behaviorConf)
    }
}
