//
//  SBSDKUINFCPassportReaderTextConfiguration.swift
//  scanbot_sdk
//
//  Created by Yevgeniy Knizhnik on 08.04.21.
//

import Foundation
import ScanbotSDK

extension SBSDKUINFCPassportReaderTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["finderTextHint"] as? String {
            self.finderTextHint = text
        }
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["holdOverTheChipTitle"] as? String {
            self.holdOverTheChipTitle = text
        }
        
        if let text = dictionary["downloadingDataTitle"] as? String {
            self.downloadingDataTitle = text
        }
        
        if let text = dictionary["noChipErrorTitle"] as? String {
            self.noChipErrorTitle = text
        }
        
        if let text = dictionary["authenticationErrorTitle"] as? String {
            self.authenticationErrorTitle = text
        }
        
        if let text = dictionary["downloadErrorTitle"] as? String {
            self.downloadErrorTitle = text
        }
        
        if let text = dictionary["enableCameraExplanationText"] as? String {
            self.enableCameraExplanationText = text
        }
        
        if let text = dictionary["enableCameraButtonTitle"] as? String {
            self.enableCameraButtonTitle = text
        }
    }
}
