//
//  SBSDKUIDocumentScannerTextConfiguration.swift
//  Runner
//
//  Created by Zhenya Knizhnik on 22.08.19.
//  Copyright © 2019 The Chromium Authors. All rights reserved.
//

import Foundation
import ScanbotSDK

extension SBSDKUIDocumentScannerTextConfiguration {
    convenience init(from dictionary: [String: Any]) {
        self.init()
        
        if let text = dictionary["flashButtonTitle"] as? String {
            self.flashButtonTitle = text
        }
        
        if let text = dictionary["textHintOffCenter"] as? String {
            self.textHintOffCenter = text
        }
        
        if let text = dictionary["textHintOK"] as? String {
            self.textHintOK = text
        }
        
        if let text = dictionary["cameraUnavailableExplanationText"] as? String {
            self.cameraUnavailableExplanationText = text
        }
        
        if let text = dictionary["textHintTooSmall"] as? String {
            self.textHintTooSmall = text
        }
        
        if let text = dictionary["textHintBadAspectRatio"] as? String {
            self.textHintBadAspectRatio = text
        }
        
        if let text = dictionary["textHintBadAngles"] as? String {
            self.textHintBadAngles = text
        }
        
        if let text = dictionary["textHintTooDark"] as? String {
            self.textHintTooDark = text
        }
        
        if let text = dictionary["textHintTooNoisy"] as? String {
            self.textHintTooNoisy = text
        }
        
        if let text = dictionary["textHintNothingDetected"] as? String {
            self.textHintNothingDetected = text
        }
        
        if let text = dictionary["textHintEnergySavingActive"] as? String {
            self.textHintEnergySavingActive = text
        }
        
        if let text = dictionary["pageCounterButtonTitle"] as? String {
            self.pageCounterButtonTitle = text
        }
        
        if let text = dictionary["cancelButtonTitle"] as? String {
            self.cancelButtonTitle = text
        }
        
        if let text = dictionary["autoSnappingButtonTitle"] as? String {
            self.autoSnappingButtonTitle = text
        }
        
        if let text = dictionary["multiPageButtonTitle"] as? String {
            self.multiPageButtonTitle = text
        }
        
        if let text = dictionary["enableCameraButtonTitle"] as? String {
            self.enableCameraButtonTitle = text
        }
        
        if let text = dictionary["enableCameraExplanationText"] as? String {
            self.enableCameraExplanationText = text
        }
    }
}
