// Actually add the licenses

import 'dart:async';

import 'package:flutter/foundation.dart';
import 'package:flutter/services.dart' show rootBundle;
import 'package:logging/logging.dart';

Stream<LicenseEntry> licenses() async* {
  try {
    var data = await rootBundle
        .loadString('packages/scanbot_sdk/assets/libraries.txt');
    var pattern =
        '//-------------------------------------------------------------';
    var libraries = data.split(pattern);
    for (var element in libraries) {
      yield FlutterLicense(['scanbot_sdk'], [LicenseParagraph(element, 0)]);
    }
  } catch (e) {
    Logger.root.severe(e);
  }
}

class FlutterLicense extends LicenseEntry {
  @override
  Iterable<String> packages = [];

  @override
  Iterable<LicenseParagraph> paragraphs = [];

  FlutterLicense(this.packages, this.paragraphs);
}
